namespace PkmnLibSharp.DynamicData
{
    public enum DamageSource : byte
    {
        /// <summary>
        /// The damage is done by a move.
        /// </summary>
        MoveDamage = 0,

        /// <summary>
        /// The damage is done by something else.
        /// </summary>
        Misc = 1,

        /// <summary>
        /// The damage is done because of struggling.
        /// </summary>
        Struggle = 2,
    }
}