using System;
using System.Runtime.InteropServices;
using PkmnLibSharp.DynamicData;

namespace PkmnLibSharp.FFI.DynamicData.Libraries
{
    internal static class BattleStatCalculator
    {
        /// <summary>
        /// Creates a new Gen 7 battle stat calculator
        /// </summary>
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern IdentifiablePointer gen_7_battle_stat_calculator_new();
        
        /// <summary>
        /// Creates a new Gen 7 battle stat calculator
        /// </summary>
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern void battle_stat_calculator_drop(IntPtr ptr);

    }
}