using System;
using System.Runtime.InteropServices;

namespace PkmnLibSharp.FFI.StaticData.Libraries
{
    internal static class AbilityLibrary
    {
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern IdentifiablePointer ability_library_new(ulong capacity);
        
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern void ability_library_drop(IntPtr ptr);
        
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern IdentifiablePointer ability_library_get(IntPtr ptr, IntPtr key);
        
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern IntPtr ability_library_get_key_by_index(IntPtr ptr, ulong index);

        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern void ability_library_add(IntPtr ptr, IntPtr key, IntPtr value);
        
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern ulong ability_library_len(IntPtr ptr);
    }
}